@font-face {
    font-family: work-sans-regular;
    src: url('../font/WorkSans-Regular.ttf');
}

@font-face {
    font-family: flexmonster-icons;
    src: url('../font/flexmonster-icons.ttf');
}

@font-face {
    font-family: 'csp-angular-mydatepicker';
    src: url('../font/angular-mydatepicker.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

html {
    font-size: var(--main-font-size);
}

body {
    font-family: work-sans-regular, sans-serif;
    background-color: var(--body-background);
    background-image: var(--top-body-background-img);
    background-repeat: repeat-x;
    background-position: top;
    color: var(--text-primary);
}

hr {
    color: #929292;
}

p,
label {
    color: var(--text-primary);
}

#topnav {
    height: 70px;
    margin-left: 100px;
    transition: all 0.5s ease-in;
}

#main-content {
    position: relative;
}

#main-content.logged-in {
    min-height: calc(100vh - 100px);
    margin-left: 110px;
    margin-top: 30px;
    margin-right: 24px;
}

body.opened-sidebar #main-content.logged-in {
    margin-left: 265px;
    transition: all 0.5s ease-in;
    display: flex;
    justify-content: center;
}

@media only screen and (max-width: 930px) {
    /*Scommentare se ci si rende conto di volere la search bar anche per risoluzioni sotto i 930px*/
    /*#main-content.logged-in {
        margin-top: 55px;
    }*/

    body.opened-sidebar #topnav {
        margin-left: 0px !important;
        display: inline-block;
    }

    body.opened-sidebar #main-content.logged-in {
        margin-left: 0px;
        margin-right: 0px;
        padding-left: 30px;
        padding-right: 30px;
        width: 100%;
        display: inline-block;
    }

    #main-content.logged-in {
        margin-left: 30px;
        margin-right: 30px;
    }

    #topnav {
        margin-left: 0px;
    }

    button:has(i) {
        text-indent: -9999px;
    }

    button i {
        text-indent: 0;
    }
}

body.opened-sidebar #topnav {
    margin-left: 255px;
    transition: all 0.5s ease-in;
}

#main-content.not-logged-in {
    min-height: 100vh;
}

::-webkit-scrollbar {
    width: 10px;
    background-color: #f5f6f8;
}

::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px grey;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb {
    background: var(--scrollbar-color);
    border-radius: 10px;
}

a:link {
    color: var(--french-blue);
    text-decoration: none;
}

/*BACKGROUND COLORS*/
.background-french-blue {
    background-color: var(--french-blue);
}

.background-sandy-brown {
    background-color: var(--sandy-brown);
}

.background-eerie-black {
    background-color: var(--eerie-black);
}

.background-gray {
    background-color: var(--gray);
}

.background-platinum {
    background-color: var(--platinum);
}

.background-anti-flash-white {
    background-color: var(--anti-flash-white);
}

.background-alice-blue {
    background-color: var(--alice-blue);
}

.background-kelly-green {
    background-color: var(--kelly-green);
}

.background-imperial-red {
    background-color: var(--imperial-red);
}

.background-lavender-blush {
    background-color: var(--lavender-blush);
}

/*TEXT COLORS*/
.text-lavender-blush {
    color: var(--lavender-blush);
}

.text-sandy-brown {
    color: var(--sandy-brown);
}

.text-eerie-black {
    color: var(--eerie-black);
}

.text-gray {
    color: var(--gray);
}

.text-platinum {
    color: var(--platinum);
}

.text-anti-flash-white {
    color: var(--anti-flash-white);
}

.text-alice-blue {
    color: var(--alice-blue);
}

.text-kelly-green {
    color: var(--kelly-green);
}

.text-imperial-red {
    color: var(--imperial-red);
}

.text-french-blue {
    color: var(--french-blue);
}
/*************/

/* visited link */
a:visited {
    color: var(--french-blue);
    text-decoration: none;
}

/* mouse over link */
a:hover {
    color: var(--text-secondary);
    text-decoration: none;
}

/* selected link */
a:active {
    color: var(--french-blue);
    text-decoration: none;
}

.mandatory-field::after {
    content: ' *';
    color: var(--red);
}

.red-string {
    color: var(--red);
}

.green-string {
    color: var(--green);
}

.orange-string {
    color: var(--orange);
}

.gray-string {
    color: var(--gray);
}

.blu-underline-string {
    color: var(--french-blue);
    text-decoration: underline;
}

.red-underline-string {
    color: var(--imperial-red);
    text-decoration: underline;
}

label {
    font-weight: bold;
}

.uppercase {
    text-transform: uppercase;
}

.xam-btn-disabled {
    background-color: #dcdcdc !important;
    border: none !important;
    color: #707070 !important;
}

.xam-navbar-trapezoid {
    position: relative;
}

.xam-navbar-trapezoid:after {
    content: '';
    position: absolute;
    border-left: 5px solid var(--sidebar-primary-item-active) !important;
    border-right: solid transparent;
    border-top: solid transparent;
    border-bottom: solid transparent;
    border-left-style: solid !important;
    top: 0;
    left: 0;
    height: 34.5px;
    margin-top: auto;
    margin-bottom: auto;
    margin-left: 0.5px;
}

.xam-form-card {
    position: relative;
    border-radius: 0.25rem;
    margin-bottom: 20px;
    background-color: var(--form-container-secondary);
    padding: 5px !important;
    -webkit-box-shadow: 0px 0px 0px 0px #000;
    box-shadow: 0px 0px 0px 0px #000;
    border: 1px solid var(--text-quaternary);
    padding-left: 15px !important;
    position: relative;
}

.xam-form-card-no-trapezoid {
    position: relative;
    border-radius: 0.25rem;
    margin-bottom: 20px;
    background-color: var(--form-container-secondary);
    padding: 5px !important;
    -webkit-box-shadow: 0px 0px 0px 0px #000;
    box-shadow: 0px 0px 0px 0px #000;
    border: 1px solid var(--text-quaternary);
    padding-left: 15px !important;
    position: relative;
}

.xam-form-card:after {
    content: ' ';
    position: absolute;
    border-left: 5px solid var(--text-secondary);
    border-right: solid transparent;
    border-top: solid transparent;
    border-bottom: solid transparent;
    border-left-style: solid !important;
    top: 0;
    bottom: 0;
    left: 0;
    height: 50%;
    margin-top: auto;
    margin-bottom: auto;
}

.xam-form-card-danger {
    position: relative;
    padding-left: 15px !important;
}

.xam-form-card-danger-background {
    background-color: var(--form-container-secondary-red) !important;
}

.xam-form-card-danger-text {
    color: var(--red) !important;
}

.xam-form-card-danger:after {
    content: ' ';
    position: absolute;
    border-left: 6px solid var(--red) !important;
    border-right: solid transparent;
    border-top: solid transparent;
    border-bottom: solid transparent;
    border-left-style: solid !important;
    top: 0;
    bottom: 0;
    left: 0;
    height: 50%;
    margin-top: auto;
    margin-bottom: auto;
}

.xam-form-card-primary {
    padding-left: 15px !important;
    position: relative;
}

.xam-form-card-primary-background {
    background-color: var(--alice-blue) !important;
}

.xam-form-card-primary-text {
    color: var(--sidebar-primary-item-active) !important;
}

.xam-form-card-primary:after {
    content: '';
    position: absolute;
    border-left: 6px solid var(--french-blue) !important;
    border-right: solid transparent;
    border-top: solid transparent;
    border-bottom: solid transparent;
    border-left-style: solid !important;
    top: 0;
    bottom: 0;
    left: 0;
    height: 50%;
    margin-top: auto;
    margin-bottom: auto;
}

.xam-form-card-secondary {
    padding-left: 15px !important;
    position: relative;
}

.xam-form-card-secondary:after {
    content: '';
    position: absolute;
    border-left: 6px solid var(--bs-gray-600) !important;
    border-right: solid transparent;
    border-top: solid transparent;
    border-bottom: solid transparent;
    border-left-style: solid !important;
    top: 0;
    bottom: 0;
    left: 0;
    height: 50%;
    margin-top: auto;
    margin-bottom: auto;
}

.xam-form-card-warning {
    padding-left: 15px !important;
    position: relative;
}

.cardTitle-primary {
    color: var(--french-blue);
    font-weight: bold;
}

.xam-form-card-warning:after {
    content: ' ';
    position: absolute;
    border-left: 6px solid var(--orange) !important;
    border-right: solid transparent;
    border-top: solid transparent;
    border-bottom: solid transparent;
    border-left-style: solid !important;
    top: 0;
    bottom: 0;
    left: 0;
    height: 50%;
    margin-top: auto;
    margin-bottom: auto;
}

.xam-form-card-warning-text {
    color: var(--orange) !important;
}

.xam-form-card-warning-background {
    background-color: var(--form-container-secondary-orange) !important;
}

.xam-form-car-warning-strong-background {
    background-color: var(--sandy-brown) !important;
    color: var(--anti-flash-white) !important;
}
.xam-form-car-warning-strong-background:after {
    border-left: 6px solid var(--anti-flash-white) !important;
}

.xam-form-car-primary-background {
    background-color: var(--alice-blue) !important;
}
.xam-form-car-primary-strong-background {
    background-color: var(--french-blue) !important;
    color: var(--anti-flash-white) !important;
}
.xam-form-car-primary-strong-background:after {
    border-left: 6px solid var(--anti-flash-white) !important;
}

.xam-form-card-success:after {
    content: ' ';
    position: absolute;
    border-left: 6px solid var(--green) !important;
    border-right: solid transparent;
    border-top: solid transparent;
    border-bottom: solid transparent;
    border-left-style: solid !important;
    top: 0;
    bottom: 0;
    left: 0;
    height: 50%;
    margin-top: auto;
    margin-bottom: auto;
}

.xam-form-card-success-background {
    background-color: var(--form-container-secondary-green) !important;
}

.xam-form-card-success {
    padding-left: 15px !important;
    position: relative;
}

.xam-form-card-success-text {
    color: var(--green) !important;
}

.xam-disabled-field {
    background-color: transparent !important;
    border: none;
    padding: 0px;
}

.xam-modal-90vh {
    max-height: 90vh;
}

.xam-modal-180vh {
    height: 180vh;
}

.height-min-45vh {
    min-height: 45vh;
}
.xam-modal-scrollable {
    overflow-y: auto;
    max-height: 60vh;
    overflow-x: hidden;
}

.xam-form-container {
    border-radius: 0.25rem;
    background-color: var(--form-container-secondary);
    padding: 10px !important;
}

.xam-page-title {
    margin-left: 11px;
    margin-bottom: 20px;
}

.xam-page-title > p,
.xam-page-title > span {
    font-weight: bold;
    font-size: 28px;
}

.xam-page-title-secondary {
    margin-top: 30px;
    margin-left: 0px;
    margin-bottom: 20px;
}

.xam-page-title-secondary > p {
    font-weight: bold;
    font-size: 20px;
}

.xam-button {
    border-radius: 4px;
    border: 1px solid var(--text-quaternary);
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--sidebar-primary-item-active);
    padding: 6px 12px 6px 12px;
    font-size: 14px;
    line-height: 22px;
    cursor: pointer;
    height: fit-content;
    width: fit-content;
    margin-left: 5px;
    margin-right: 5px;
    font-weight: 500;
}
.xam-button:hover {
    opacity: 50%;
}
.xam-button:focus-visible {
    border-color: #86b7fe;
    outline: none;
    box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}

.xam-button i {
    margin: 0px;
    font-size: 14px;
    line-height: 22px;
}
.xam-button:disabled {
    opacity: 0.65;
    cursor: default;
}

.xam-button-primary {
    border-color: var(--text-quaternary);
    color: var(--background-primary);
    background-color: var(--sidebar-primary-item-active);
}

.xam-button-primary.xam-button-xs {
    font-size: 12px;
    margin-left: 5px;
    padding: 0px 5px;
}

.xam-button-secondary {
    border-color: var(--text-quaternary);
    color: var(--sidebar-primary-item-active);
    background-color: var(--background-tertiary);
}

.xam-button-tertiary {
    border-color: var(--text-quaternary);
    color: var(--text-primary);
    background-color: var(--background-quaternary);
}

.xam-button-danger {
    border-color: var(--red);
    color: var(--white);
    background-color: var(--imperial-red);
}

.xam-button-no-background {
    border-color: #1b1b1b00;
    color: var(--sidebar-primary-item-active);
    background-color: #ffffff00;
}

.xam-chubby-button {
    width: 265px;
    height: 103px;
    font-weight: 900;
    font-size: 1.7em;
    overflow-wrap: anywhere;
    margin-bottom: 10px;
    line-height: 1.1em;
}

.xam-top-button-container {
    width: 100%;
    display: flex;
    justify-content: flex-end;
    margin-bottom: 10px;
}

.xam-top-button-container-button-float-right {
    float: right;
    margin-right: -1px;
}

.xam-right-button-container {
    width: 100%;
    display: flex;
    justify-content: flex-end;
}

.xam-free-button {
    cursor: pointer;
    display: flex;
    align-items: center;
    font-size: 14px;
    font-weight: bold;
    width: fit-content;
    background: transparent;
    border: none;
}
.xam-free-button > i {
    font-size: 25px;
    font-weight: normal;
}
.xam-free-button > span {
    margin-left: 11px;
    float: left;
}
.xam-free-button:hover {
    opacity: 70%;
}
.xam-free-button.xam-free-button-primary {
    color: var(--sidebar-primary-item-active);
}
.xam-free-button.xam-free-button-red {
    color: var(--red);
}
.xam-free-button.xam-free-button-not-selected {
    color: var(--text-primary);
}
.xam-free-button.xam-free-button-xs > i {
    font-size: 15px;
    font-weight: normal;
}
.xam-free-button.xam-free-button-xs > span {
    font-size: 12px;
    margin-left: 5px;
}
.xam-free-button:disabled {
    color: var(--platinum) !important;
    cursor: default;
}
.xam-free-button:disabled:hover {
    opacity: 100% !important;
}

.car-plate-eu {
    background-image: var(--car-plate-eu);
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
    background-size: contain;
    padding-left: 8.75%;
    padding-right: 8.75%;
}

.car-plate-ex-eu {
    background-image: var(--car-plate-ex-eu);
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
    background-size: contain;
    padding-left: 8.75%;
    padding-right: 8.75%;
}

/**tooltip su elemento del DOM***/
.xam-tooltip-html {
    position: relative;
    display: inline-block;
    cursor: pointer;
    margin-bottom: 9px;
}

.xam-tooltip-html .xam-tooltiptext-html {
    visibility: hidden;
    border: var(--french-blue) 1px solid;
    border-radius: 0.25rem;
    background-color: var(--anti-flash-white);
    font-size: 0.7rem;
    color: var(--text-primary);
    text-align: center;
    padding: 5px 10px;
    position: absolute;
    z-index: 1;
    word-wrap: break-word;
    max-width: 400px;
    min-width: 100px;
    box-shadow: 0 3px 4px -2px rgb(0 0 0 / 50%);
    font-family: work-sans-regular, sans-serif !important;
}

.xam-tooltip-html:hover .xam-tooltiptext-html {
    visibility: visible;
}

.xam-tip-right-html {
    right: 0px;
}

.xam-tip-left-html {
    left: 0px;
}

.xam-tip-top-html {
    bottom: 30px;
}

.xam-tip-bottom-html {
    top: 30px;
}

/**tooltip su icona***/
.xam-tooltip {
    margin-left: 5px;
    vertical-align: middle;
    /*color: var(--sidebar-primary-item-active);*/
    cursor: pointer;
}

i.xam-tip {
    text-decoration: none;
    color: var(--sidebar-primary-item-active);
}

i.xam-tip:hover {
    /*cursor: help*/
    position: relative;
}

i.xam-tip span {
    display: none;
}

i.xam-tip:hover span {
    border: var(--french-blue) 1px solid;
    border-radius: 0.25rem;
    background-color: var(--anti-flash-white);
    font-family: work-sans-regular, sans-serif !important;
    display: block;
    padding-top: 5px;
    padding-bottom: 13px;
    padding-left: 5px;
    padding-right: 5px;
    z-index: 100;
    color: var(--text-primary);
    vertical-align: middle;
    text-align: center;
    margin: 10px;
    width: 250px;
    position: absolute;
    text-decoration: none;
    box-shadow: 0 3px 4px -2px rgb(0 0 0 / 50%);
}

i.xam-tip-right:hover span {
    left: 0px;
}

i.xam-tip-left:hover span {
    right: 0px;
}

i.xam-tip-top:hover span {
    bottom: 10px;
}

i.xam-tip-bottom:hover span {
    top: 10px;
}

div.xam-tip {
    text-decoration: none;
}

div.xam-tip:hover {
    /*cursor: help*/
    position: relative;
}

div.xam-tip label {
    display: none;
    border-radius: 5px !important;
}

div.xam-tip:hover label {
    border: var(--french-blue) 1px solid;
    background-color: var(--anti-flash-white);
    font-family: work-sans-regular, sans-serif !important;
    display: block;
    padding-top: 5px;
    padding-bottom: 13px;
    padding-left: 5px;
    padding-right: 5px;
    z-index: 100;
    color: var(--text-primary);
    vertical-align: middle;
    text-align: center;
    margin: 10px;
    width: 250px;
    position: absolute;
    text-decoration: none;
    box-shadow: 0 3px 4px -2px rgb(0 0 0 / 50%);
}

div.xam-tip-right:hover label {
    left: 0px;
}

div.xam-tip-left:hover label {
    right: 0px;
}

div.xam-tip-top:hover label {
    bottom: 10px;
}

div.xam-tip-bottom:hover label {
    top: 10px;
}

.xam-plate {
    border-radius: 3px;
    padding: 4px 16px 6px 16px;
    font-size: 12px;
    height: 30px;
    border: 2px solid var(--text-secondary);
    width: fit-content;
}

.xam-plate-primary {
    border-color: var(--blue-zucchetti);
    color: var(--blue-zucchetti);
}

.xam-plate-warning {
    border-color: var(--orange);
    color: var(--orange);
}

.xam-plate-danger {
    border-color: var(--red);
    color: var(--red);
}

/***********/
/*grey rectangle without padding right/left in form*/
.xam-container-p {
    margin-left: -42.8px;
    margin-right: -42.5px;
    padding: 30px;
    background-color: var(--background-quinary);
    border: 1px solid var(--background-quaternary);
}

.xam-error-field {
    background-color: var(--form-container-secondary-red) !important;
    border: 1px solid var(--red);
}

.xam-error-field-text-message {
    color: var(--red);
    font-size: 12px;
    margin-top: -20px;
    padding: 5px;
}

.cardHolder {
    display: flex;
    gap: 32px;
    flex-wrap: wrap;
}

.credential {
    padding: 20px 10px 10px 25px !important;
    /* width: 360px; */
    /* min-width:360px; */
    flex: 1 0 0;
    max-width: calc(33.33% - 20px);
}
.credential p.cardTitle {
    font-weight: bold;
    font-size: 20px;
    color: var(--text-secondary);
}
.credential p.cardTitle.cardTitle-primary {
    color: var(--sidebar-primary-item-active);
}
.credential p.cardTitle.cardTitle-warning {
    color: var(--orange);
}
.credential p.duration {
    font-size: 12px;
    color: var(--text-secondary);
}

.status-blocked-badge {
    display: flex;
    justify-content: center;
    height: 20px;
    align-items: self-end;
    width: 150px;
    font-size: 16px;
    border-top: 20px solid var(--red);
    transform: skew(-20deg);
    color: #fff;
    font-weight: bold;
    padding-top: 2px;
    margin-top: -20px;
    white-space: nowrap;
}

.input-group-text.ng-invalid.ng-touched,
input.ng-invalid.ng-touched,
input.ng-invalid.ng-touched:focus,
select.ng-invalid.ng-touched,
xam-custom-field.ng-invalid.ng-touched input,
xam-markdown-editor.ng-invalid.ng-touched .EasyMDEContainer .CodeMirror,
.error-border {
    border: 2px solid var(--red) !important;
    border-radius: 5px;
}

.form-group .ng-touched.ng-invalid .date-field {
    border: 2px solid var(--red);
    border-radius: 5px;
}

.form-group .ng-touched.ng-invalid .autocomplete {
    border: 2px solid var(--red);
    border-radius: 5px;
}

.form-group .ng-touched.ng-invalid .select {
    border: 2px solid var(--red);
    border-radius: 5px;
}
textarea.ng-touched.ng-invalid {
    border: 2px solid var(--red);
    border-radius: 5px;
}

.info-border {
    border: 2px solid var(--french-blue) !important;
    border-radius: 5px;
}

/* remove browsers focus border on input fields */
input,
input.form-control,
.input-group-text {
    outline: none !important;
    outline-width: 0 !important;
    box-shadow: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    background-color: var(--page-background);
    color: var(--text-primary);
    border-color: var(--background-quaternary);
}

textarea,
textarea.form-control,
textarea.form-control:focus {
    outline: none !important;
    outline-width: 0 !important;
    background-color: var(--page-background);
    color: var(--text-primary);
}

.form-control {
    color: var(--text-primary);
    background-color: var(--page-background);
    border-color: var(--background-quaternary);
}

.form-control:disabled {
    background: var(--text-quaternary);
}

.form-control:focus {
    color: var(--text-primary);
    background-color: var(--page-background);
}

.form-control[readonly]:focus {
    background-color: var(--text-quaternary);
    opacity: 1;
    border-color: var(--background-quaternary);
    box-shadow: none;
}

.form-control[readonly] {
    background-color: var(--text-quaternary);
    opacity: 1;
    border-color: var(--background-quaternary);
    box-shadow: none;
}

.form-control[disabled] {
    background-color: var(--text-quaternary);
    opacity: 1;
    border-color: var(--background-quaternary);
    box-shadow: none;
}

select,
select.form-select {
    outline: none !important;
    outline-width: 0 !important;
    box-shadow: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    background-color: var(--page-background);
    color: var(--text-primary);
    border-color: var(--background-quaternary);

    /* --- cambio icona select */

    background-image: linear-gradient(
            45deg,
            transparent 50%,
            rgb(107, 107, 107) 50%
        ),
        linear-gradient(135deg, rgb(107, 107, 107) 50%, transparent 50%),
        linear-gradient(
            to right,
            var(--background-quaternary),
            var(--background-quaternary)
        );
    background-position: calc(100% - 20px) calc(1em + 2px),
        calc(100% - 15px) calc(1em + 2px), 100% 0;
    background-size: 5px 5px, 5px 5px, 2.5em 2.5em;
    background-repeat: no-repeat;
}

select.form-select:focus {
    background-image: linear-gradient(
            45deg,
            var(--text-secondary) 50%,
            transparent 50%
        ),
        linear-gradient(135deg, transparent 50%, var(--text-secondary) 50%),
        linear-gradient(
            to right,
            var(--background-quaternary),
            var(--background-quaternary)
        );
    background-position: calc(100% - 15px) 1em, calc(100% - 20px) 1em, 100% 0;
    background-size: 5px 5px, 5px 5px, 2.5em 2.5em;
    background-repeat: no-repeat;
    border-color: var(--background-quaternary);
    outline: 0;
    outline: none !important;
    outline-width: 0 !important;
    box-shadow: none;
}

.imo-trigger {
    left: 0 !important;
    z-index: 1000000 !important;
}

.folder-blue {
    color: #0072bc;
}

.folder-yellow {
    color: #ef9547;
}

.gray-band-extra-modal {
    margin: 0px -19px !important;
}

.gray-band-extra-modal-padding25 {
    margin: 0px -19px !important;
    padding: 0px 25px;
}

.gray-band-extra-page {
    margin: 0px -42px;
}

.gray-band-extra-section-page {
    margin: 0px -42px;
}

.gray-band-platinum-collapsable {
    margin: 0px -30px;
    background-color: var(--platinum) !important;
}

.gray-band-app-wrap-zeropad {
    margin: 0px -30px;
    padding: 0px 0px;
}

.gray-band-app-wrap-split-left {
    margin: 0px 10px 0px 0px;
    padding: 0px 0px;
}
.gray-band-app-wrap-no-padding {
    padding: 0px 0px;
}

.gray-band-app-wrap {
    margin: 0 -30px;
    padding: 0 30px;
}

.gray-band-large-modal {
    margin: 0 -18px;
    padding: 0 18px;
}

.gray-band-simple {
    margin: 0 -30px;
    padding: 0 30px;
}

.gray-band-container-pad {
    padding: 0 30px;
}

.put-button-inside-grid {
    margin-bottom: -50px;
    z-index: 100;
}

.label-style {
    display: block;
    float: right;
    position: relative;
    width: calc(100% - 22px) !important;
}

tr.xam-crop-grid {
    background-color: transparent !important;
}

.circle-quaternary {
    -moz-border-radius: 20px;
    -webkit-border-radius: 20px;
    border-radius: 20px;
    width: 30px !important;
    height: 30px !important;
    background-color: var(--text-quaternary);
}

.closed-circle-dropdown-panel-tab {
    padding: 0px 10px !important;
}

.closed-circle-dropdown-panel-tab .heading-button {
    width: 30px !important;
    height: 30px !important;
    display: flex;
    align-items: center;
    justify-content: center;
}

.plant-selected-breadcrub-open {
    background-color: var(--text-quaternary);
    border-radius: 5px;
}

.plant-breadcrub-menu-open-items .item-chooser.opened {
    right: -40px !important;
}

.plant-breadcrub-menu-open-items .item-chooser.opened .label-btn {
    display: flex;
    color: var(--text-primary) !important;
    /* padding: 4px 0px 4px 0px; */
}

/* LOADER */

@keyframes around {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.loader-container {
    position: absolute;
    right: 10px;
    top: calc(50% - 10px);
}
.loader {
    position: relative;
    height: 20px;
    width: 20px;
    display: inline-block;
    animation: around 5.4s infinite;
}

.loader::after,
.loader::before {
    content: '';
    background: var(--page-background);
    position: absolute;
    display: inline-block;
    width: 100%;
    height: 100%;
    border-width: 2px;
    border-color: var(--text-secondary) var(--text-secondary) transparent
        transparent;
    border-style: solid;
    border-radius: 20px;
    box-sizing: border-box;
    top: 0;
    left: 0;
    animation: around 0.7s ease-in-out infinite;
}

.loader::after {
    animation: around 0.7s ease-in-out 0.1s infinite;
    background: transparent;
}
.loader-container-autocomplete {
    position: relative;
    left: 0px;
    top: 0px;
    margin-left: -20px;
}
.loader-autocomplete {
    position: relative;
    height: 20px;
    width: 20px;
    display: inline-block;
    animation: around 5.4s infinite;
    margin-top: 8px;
}

.loader-autocomplete::after,
.loader-autocomplete::before {
    content: '';
    background: var(--page-background);
    position: absolute;
    display: inline-block;
    width: 100%;
    height: 100%;
    border-width: 2px;
    border-color: var(--text-secondary) var(--text-secondary) transparent
        transparent;
    border-style: solid;
    border-radius: 20px;
    box-sizing: border-box;
    top: 0px;
    left: 0px;
    animation: around 0.7s ease-in-out infinite;
}

.loader-autocomplete::after {
    animation: around 0.7s ease-in-out 0.1s infinite;
    background: transparent;
}

.loader-big {
    height: 50px;
    width: 50px;
}
.loader-big::after,
.loader-big::before {
    border-width: 4px;
    border-radius: 50px;
}

/* END LOADER */

.gray-band-xam-plant {
    margin-top: 20px;
    background-color: var(--page-background) !important;
}

.ol-viewport {
    -webkit-border-radius: 20px;
    -webkit-border-top-left-radius: 0;
    -moz-border-radius: 20px;
    -moz-border-radius-topleft: 0;
    border-radius: 20px;
    border-top-left-radius: 0;
}

/* to hide map copyright */
.ol-attribution {
    display: none;
}

/* Skeleton  */

.skeleton-container {
    display: flex;
    flex-direction: column;
    justify-content: left;
    align-items: center;
}
.skeleton-group {
    width: 100%;
}
.skeleton-group .avatar {
    float: left;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    background-color: var(--background-tertiary);
    margin: 8px;
    background-image: linear-gradient(90deg, #ddd 0px, #e8e8e8 40px, #ddd 80px);
    background-size: 600px;
    animation: shine-avatar 1.6s infinite linear;
}
.skeleton-group .line {
    float: left;
    width: 100%;
    height: 16px;
    margin-top: 12px;
    border-radius: 7px;
    background-image: linear-gradient(90deg, #ddd 0px, #e8e8e8 40px, #ddd 80px);
    background-size: 600px;
    animation: shine-lines 1.6s infinite linear;
}
.skeleton-group .skeleton-card {
    float: left;
    width: 90%;
    height: 150px;
    margin-top: 12px;
    margin-left: 20px;
    border-radius: 7px;
    background-image: linear-gradient(90deg, #ddd 0px, #e8e8e8 40px, #ddd 80px);
    background-size: 600px;
    animation: shine-lines 1.6s infinite linear;
}
.skeleton-group .skeleton-input {
    float: left;
    width: 50%;
    height: 36px;
    margin-top: 12px;
    margin-left: 20px;
    border-radius: 7px;
    background-image: linear-gradient(90deg, #ddd 0px, #e8e8e8 40px, #ddd 80px);
    background-size: 600px;
    animation: shine-lines 1.6s infinite linear;
}
.skeleton-group .avatar + .line {
    margin-top: 11px;
    width: 100px;
}
.skeleton-group .line ~ .line {
    background-color: #ddd;
}
/* a skeleton animation for an h2 element which is empty while waiting for its own translation */
.skeleton-when-empty-h2:empty {
    float: left;
    width: 100%;
    margin-top: 8px;
    margin-bottom: 16px;
    height: calc(1.325rem + 0.9vw);
    border-radius: 7px;
    background-image: linear-gradient(90deg, #ddd 0px, #e8e8e8 40px, #ddd 80px);
    background-size: 600px;
    animation: shine-lines 1.6s infinite linear;
}

.skeleton-group .medium-line {
    float: left;
    width: 100%;
    height: 50px;
    margin-top: 12px;
    border-radius: 7px;
    background-image: linear-gradient(90deg, #ddd 0px, #e8e8e8 40px, #ddd 80px);
    background-size: 600px;
    animation: shine-lines 1.6s infinite linear;
}

.skeleton-group .form-card {
    float: left;
    width: 100%;
    height: 50px;
    margin-top: 12px;
    border-radius: 7px;
    background-image: linear-gradient(90deg, #ddd 0px, #e8e8e8 40px, #ddd 80px);
    background-size: 600px;
    animation: shine-lines 1.6s infinite linear;
}

@keyframes shine-lines {
    0% {
        background-position: -100px;
    }
    40%,
    100% {
        background-position: 140px;
    }
}
@keyframes shine-avatar {
    0% {
        background-position: -32px;
    }
    40%,
    100% {
        background-position: 208px;
    }
}

.grey-pad-full {
    background-color: var(--body-background);
    border-radius: 5px;
    padding: 8px 15px 8px 15px;
    margin-top: 13px;
    margin-bottom: 23px;
}

.compact-table {
    margin-left: 0px;
    margin-right: 0px;
}
.compact-table-row {
    margin-left: 0px;
    margin-right: 0px;
    height: 30px;
    padding-top: 2px;
}

.scrollable-container {
    overflow-x: hidden;
    margin: 0px -18px;
}

.scrollable-container::-webkit-scrollbar {
    display: none;
}

.blur-img {
    -webkit-backdrop-filter: blur(2px);
    backdrop-filter: blur(2px);
}

.cloud-footer {
    position: absolute;
    bottom: 0px;
    width: 100%;
    /*padding: 10px nel caso ci sia una maschera che da problemi per questa riga di codice commentata contattare Lara*/
    left: 0px;
}

/*per descrizione sotto input in grigio*/
.xam-sub-description {
    position: absolute;
    top: 75px;
    left: 3px;
    color: var(--text-secondary);
}

.form-switch .form-check-input {
    background-image: url('../img/form-check-input.svg');
}

.form-switch .form-check-input:checked {
    background-image: url('../img/form-check-input-checked.svg');
}

.form-switch .form-check-input:focus {
    background-image: url('../img/form-check-input-focus.svg');
}
.form-check-input:checked[type='checkbox'] {
    background-image: url('../img/form-checkbox-checked.svg');
}
.form-switch .form-check-input:checked[type='checkbox'] {
    background-image: url('../img/form-check-input-focus.svg');
}

.inputFormValid {
    border: 2px solid var(--green) !important;
}
.inputFormInvalid {
    border: 2px solid var(--red) !important;
}

.white-background {
    background-color: var(--white) !important;
}

.load-logo {
    background-color: var(--anti-flash-white);
    border-radius: 15px;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.subject-photo {
    background-color: var(--alice-blue);
    border-radius: 50%;
    width: 100px;
    height: 100px;
    display: flex;
    align-items: center;
    align-content: center;
}

.subject-photo > i {
    font-size: 90px;
    line-height: initial;
    margin-left: 5px;
    color: var(--french-blue);
    border-radius: 50%;
}

.subject-photo > img {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    border: 2px solid var(--grey);
}

/* funzione occhietto */

input::-ms-reveal {
    display: none;
}

.pass-reveal {
    position: relative;
}

.pass-reveal span {
    position: absolute;
    right: 1px;
    top: 50%;
    transform: translateY(-50%);
    z-index: 100;
}

.pass-reveal span svg {
    cursor: pointer;
    display: block;
    padding: 0.2em;
    width: 1.3em;
    height: 1.3em;
    margin-right: 8px;
}
.pass-reveal span svg path {
    fill: grey;
}
.pass-reveal-active span svg path {
    fill: var(--french-blue);
}

.toggle-standard-width {
    width: 300px;
}

#fm-toolbar-wrapper #fm-toolbar li i {
    font-size: 30px;
    width: 100%;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--french-blue);
}

xam-select,
select {
    cursor: pointer;
}

td[xam-column-subject] .sandy-brown {
    color: var(--sandy-brown);
}

td[xam-column-subject] .imperial-red {
    color: var(--imperial-red);
}

.totItemsTag {
    padding: 0px;
    height: 25px;
    width: 25px;
    /*width: fit-content*/
    background-color: var(--sidebar-primary-item-active);
    border-radius: 50%;
    text-align: center;
    color: var(--page-title-navbar);
    margin-right: 22px;
    padding-top: 3px;
    margin-top: 3px;
    font-size: 0.85rem;
}

/* clears the ‘X’ from Chrome */
input[type='search']::-webkit-search-decoration,
input[type='search']::-webkit-search-cancel-button,
input[type='search']::-webkit-search-results-button,
input[type='search']::-webkit-search-results-decoration {
    display: none;
}

/* classi per paginatore */
.paginator-page-selector {
    display: flex;
    justify-content: center;
    max-width: 100%;
    flex-wrap: wrap;
    cursor: pointer;
}
.paginator-page-selector .paginator-page {
    height: 40px;
    padding: 8px 16px 0px 16px;
    margin: 10px 5px;
    border-radius: 5px;
    color: var(--text-secondary);
}
.paginator-page-selector .paginator-page:hover {
    color: var(--sidebar-primary-item-active);
    cursor: pointer;
    background-color: var(--alice-blue);
    opacity: 60%;
}
.paginator-page-selector .prev,
.paginator-page-selector .next,
.paginator-page-selector .first,
.paginator-page-selector .last {
    padding: 8px 5px;
}
.paginator-page-selector .first i:nth-child(2),
.paginator-page-selector .last i:nth-child(2) {
    margin-left: -14px;
}
.paginator-page-selector .paginator-selected {
    color: var(--sidebar-primary-item-active);
    background-color: var(--alice-blue);
}
.paginator-page-arrow {
    color: var(--text-secondary);
    font-size: 22px;
    font-weight: bold;
    display: flex;
    align-items: center;
}
.paginator-page-arrow:hover * {
    opacity: 0.3;
    background-color: none !important;
}
.paginator-page-size-container {
    display: flex;
    justify-content: right;
    align-items: center;
    margin-bottom: 15px;
}
.paginator-page-size-container select {
    margin-bottom: 0 !important;
    border: none;
}
.paginator-page-size-container > * {
    margin: 0 5px;
}
.paginator-page-size-container > span {
    padding: 8px 18px 8px 18px;
    margin: 10px 5px;
    border-radius: 5px;
    color: var(--text-secondary);
    border: none;
}
.paginator-page-size-container > span.paginator-page-size-item {
    border: none;
}
.paginator-page-size-container > span.paginator-page-size-item.selected {
    color: var(--sidebar-primary-item-active);
    background-color: var(--alice-blue);
    border: 1px solid var(--sidebar-primary-item-active);
}
.paginator-page-size-container > span.paginator-page-size-item:hover {
    cursor: pointer;
    color: var(--sidebar-primary-item-active);
    background-color: var(--alice-blue);
    opacity: 60%;
}
.paginator-page-size-container > span.paginator-page-size-item.selected {
    color: var(--sidebar-primary-item-active);
    background-color: var(--alice-blue);
    border: 1px solid var(--sidebar-primary-item-active);
}
.paginator-page-size-container > span.paginator-page-size-label {
    border: none;
    padding: 8px 0px 8px 0px;
    white-space: nowrap;
}
.paginator-grid-select-page-size {
    background-image: none;
    background-position: auto;
    background-size: auto;
    background-repeat: no-repeat;
}
.paginator-grid-select-page-size:focus {
    background-image: none;
    background-position: auto;
    background-size: auto;
    background-repeat: no-repeat;
}

.ellipsis-text {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

/* Styles for myDatePicker component */

.myDpSelector {
    width: auto !important;
    height: auto !important;
}

.ng-mydp {
    position: relative !important;
}

.myDpWeekDayTitle_tiny {
    font-size: 8px !important;
}

.td_tiny {
    height: 20px !important;
}

.myDpCalTable_tiny,
.myDpMonthTable_tiny,
.myDpYearTable_tiny {
    font-size: 9px !important;
}

.ng-mydp thead th {
    color: var(--sidebar-primary-item-active) !important;
}

.ng-mydp tbody td {
    height: 40px;
}

/* Adjusting disabled dates also for dark-mode */
.myDpDisabled {
    background: repeating-linear-gradient(
        -45deg,
        #ccc 7px,
        #ccc 8px,
        white 7px,
        white 14px
    ) !important;
}

/*Ovveride di stile per i chart*/

ngx-charts-advanced-pie-chart
    .advanced-pie-legend
    .legend-items-container
    .legend-items
    .legend-item:hover {
    color: var(--text-primary) !important;
}

ngx-charts-bar-horizontal .chart-legend .legend-label:hover {
    color: var(--text-primary) !important;
}

ngx-charts-bar-horizontal .chart-legend .active .legend-label-text {
    color: var(--text-primary) !important;
}

ngx-charts-bar-horizontal svg {
    fill: var(--text-primary) !important;
}

ngx-charts-bar-horizontal .chart-legend .legend-label:hover {
    color: var(--text-primary) !important;
}

ngx-charts-bar-horizontal .chart-legend .active .legend-label-text {
    color: var(--text-primary) !important;
}

ngx-charts-bar-horizontal svg {
    fill: var(--text-primary) !important;
}

ngx-charts-bar-vertical-normalized .chart-legend .legend-label:hover {
    color: var(--text-primary) !important;
}

ngx-charts-bar-vertical-normalized .chart-legend .active .legend-label-text {
    color: var(--text-primary) !important;
}

ngx-charts-bar-vertical-normalized svg {
    fill: var(--text-primary) !important;
}

ngx-charts-pie-grid svg {
    fill: var(--text-primary) !important;
}

ngx-charts-bar-vertical-2d .chart-legend .legend-label:hover {
    color: var(--text-primary) !important;
}

ngx-charts-bar-vertical-2d .chart-legend .active .legend-label-text {
    color: var(--text-primary) !important;
}

ngx-charts-bar-vertical-2d svg {
    fill: var(--text-primary) !important;
}

ngx-charts-bar-vertical .chart-legend .legend-label:hover {
    color: var(--text-primary) !important;
}

ngx-charts-bar-vertical .chart-legend .active .legend-label-text {
    color: var(--text-primary) !important;
}

ngx-charts-bar-vertical svg {
    fill: var(--text-primary) !important;
}

ngx-charts-line-chart .chart-legend .legend-label:hover {
    color: var(--text-primary) !important;
}

ngx-charts-line-chart .chart-legend .active .legend-label-text {
    color: var(--text-primary) !important;
}

ngx-charts-line-chart svg {
    fill: var(--text-primary) !important;
}

.date-strict-container {
    max-width: 340px;
}
.date-strict-container-date-solo {
    max-width: 200px;
}
.date-strict-container-no-button {
    max-width: 280px;
}
.date-strict-container-date-solo-no-button {
    max-width: 170px;
}
